imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }
    - { resource: "EXT:rte_ckeditor_image/Configuration/RTE/Plugin.yaml" }

editor:
#    externalPlugins:
#        basedistribution_address:
#            resource: "EXT:base_distribution/Resources/Public/CKEditor/Plugins/Address/plugin.min.js"
#        basedistribution_box:
#            resource: "EXT:base_distribution/Resources/Public/CKEditor/Plugins/Box/plugin.min.js"
#        basedistribution_columns:
#            resource: "EXT:base_distribution/Resources/Public/CKEditor/Plugins/Columns/plugin.min.js"
#        basedistribution_indent:
#            resource: "EXT:base_distribution/Resources/Public/CKEditor/Plugins/Indent/plugin.min.js"
#        basedistribution_table:
#            resource: "EXT:base_distribution/Resources/Public/CKEditor/Plugins/Table/plugin.min.js"

    config:
        contentsCss: "EXT:base_distribution/Resources/Public/Css/bootstrap4-rte.min.css"

        stylesSet:
            - { name: "Lead", element: "p", attributes: { 'class': 'lead' } }
            - { name: "Small", element: "small" }
            - { name: "Table", element: "table", attributes: { 'class': 'table' } }
            - { name: "Table Striped", element: "table", attributes: { 'class': 'table table-striped' } }
            - { name: "Table Bordered", element: "table", attributes: { 'class': 'table table-bordered' } }
            - { name: "Table Condensed", element: "table", attributes: { 'class': 'table table-condensed' } }
            - { name: "Row Primary", element: "tr", attributes: { 'class': 'bg-primary' } }
            - { name: "Row Secondary", element: "tr", attributes: { 'class': 'bg-secondary' } }
            - { name: "Row Dark", element: "tr", attributes: { 'class': 'bg-dark' } }
            - { name: "Row Light", element: "tr", attributes: { 'class': 'bg-light' } }
            - { name: "Row Active", element: "tr", attributes: { 'class': 'bg-active' } }
            - { name: "Row Success", element: "tr", attributes: { 'class': 'bg-success' } }
            - { name: "Row Info", element: "tr", attributes: { 'class': 'bg-info' } }
            - { name: "Row Warning", element: "tr", attributes: { 'class': 'bg-warning' } }
            - { name: "Row Danger", element: "tr", attributes: { 'class': 'bg-danger' } }
            - { name: "Button Default", element: "a", attributes: { 'class': 'btn btn-outline-default' } }
            - { name: "Button Primary", element: "a", attributes: { 'class': 'btn btn-outline-primary' } }
            - { name: "Button Secondary", element: "a", attributes: { 'class': 'btn btn-outline-secondary' } }
            - { name: "Button Success", element: "a", attributes: { 'class': 'btn btn-outline-success' } }
            - { name: "Button Info", element: "a", attributes: { 'class': 'btn btn-outline-info' } }
            - { name: "Button Warning", element: "a", attributes: { 'class': 'btn btn-outline-warning' } }
            - { name: "Button Danger", element: "a", attributes: { 'class': 'btn btn-outline-danger' } }
            - { name: "Button Outline Default", element: "a", attributes: { 'class': 'btn btn-outline-default' } }
            - { name: "Button Outline Primary", element: "a", attributes: { 'class': 'btn btn-outline-primary' } }
            - { name: "Button Outline Secondary", element: "a", attributes: { 'class': 'btn btn-outline-secondary' } }
            - { name: "Button Outline Success", element: "a", attributes: { 'class': 'btn btn-outline-success' } }
            - { name: "Button Outline Info", element: "a", attributes: { 'class': 'btn btn-outline-info' } }
            - { name: "Button Outline Warning", element: "a", attributes: { 'class': 'btn btn-outline-warning' } }
            - { name: "Button Outline Danger", element: "a", attributes: { 'class': 'btn btn-outline-danger' } }
            - { name: "List Unstyled", element: "ul", attributes: { 'class': 'list-unstyled' } }
            - { name: "List Inline", element: "ul", attributes: { 'class': 'list-inline' } }
            - { name: "Lowercased text", element: "span", attributes: { 'class': 'text-lowercase' } }
            - { name: "Uppercased text", element: "span", attributes: { 'class': 'text-uppercase' } }
            - { name: "Capitalized text", element: "span", attributes: { 'class': 'text-capitalize' } }
            - { name: "Muted", element: "span", attributes: { 'class': 'text-muted' } }
            - { name: "Primary", element: "span", attributes: { 'class': 'text-primary' } }
            - { name: "Secondary", element: "span", attributes: { 'class': 'text-secondary' } }
            - { name: "Success", element: "span", attributes: { 'class': 'text-success' } }
            - { name: "Info", element: "span", attributes: { 'class': 'text-info' } }
            - { name: "Warning", element: "span", attributes: { 'class': 'text-warning' } }
            - { name: "Danger", element: "span", attributes: { 'class': 'text-danger' } }
            - { name: "Image Right", element: "img", attributes: { 'class': 'float-right mb-2 ml-2' } }
            - { name: "Image Left", element: "img", attributes: { 'class': 'float-left mb-2 mr-2' } }

        toolbarGroups:
            - { name: styles, groups: [ format, styles ] }
            - { name: basicstyles, groups: [ basicstyles ] }
            - { name: colors, groups: [ colors ] }
            - { name: paragraph, groups: [ list, indent, blocks, align ] }
            - "/"
            - { name: links, groups: [ links ] }
            - { name: clipboard, groups: [ clipboard, cleanup, undo ] }
            - { name: editing, groups: [ spellchecker ] }
            - { name: insert, groups: [ insert ] }
            - { name: tools, groups: [ table, specialchar ] }
            - { name: document, groups: [ mode ] }

        format_tags: "p;h1;h2;h3;h4;h5;pre"

        justifyClasses:
            - text-left
            - text-center
            - text-right
            - text-justify

        extraPlugins:
            - justify
            - autolink
            - colorbutton
#            - basedistribution_address
#            - basedistribution_box
#            - basedistribution_columns
#            - basedistribution_indent
#            - basedistribution_table

        colorButton_colors: "000000,0C3A5E,95C11F,525252,DDDDDD"

        removePlugins: null

        removeButtons:
            - Anchor
            - Underline
            - Strike

classesAnchor:
    page:
        class: 'link-page'
        type: 'page'
    folder:
        class: 'link-folder'
        type: 'folder'
    file:
        class: 'link-file'
        type: 'file'
    external:
        class: 'link-external'
        type: 'url'
    mail:
        class: 'link-mail'
        type: 'mail'

buttons:
    link:
        properties:
            class:
                allowedClasses: 'link-arrow, link-page, link-folder, link-file, link-external, link-mail'
